<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="8" infoRejectCounter="0">
  <summary>
    <timer wall-clock="0.514s" wall="0.514" cpu="1.55706" calls="1"/>
    <!-- memory in MB-->
    <memory final="454.96" peak="456.96"/>
  </summary>
  <header id="">
    <environment started="2020-Jun-19 14:58:33" host="mo42"/>
    <progOpts problem="homogenize_only_3d" parameterFile="/home/daniel/code/cfs_wien/Testsuite/TESTSUIT/Optimization/Homogenization/homogenize_only_3d/homogenize_only_3d.xml" schemaPath="/home/daniel/code/cfs_wien/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="18.03" name="AMGme" build="Release" git_commit="75f1c59737348f10cc28f2e2e6ccbb3fd0f36bde" git_branch="fix-periodic-bcs" exe="cfswien.rel"/>
      <openmp CFS_NUM_THREADS="4" MKL_NUM_THREADS="4" OMP_NUM_THREADS="4"/>
    </progOpts>
    <domain nx="8" ny="8" nz="8">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <grids>
        <grid gridId="default" dimensions="3" elements="512" nodes="729"/>
      </grids>
      <regions>
        <region name="void" id="0" type="volume" regular="yes" hom="yes" nodes="540" elems="256" isQuadratic="no"/>
        <region name="mech" id="1" type="volume" regular="yes" hom="yes" nodes="425" elems="256" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="left" count="81"/>
        <nodes name="right" count="81"/>
        <nodes name="bottom" count="81"/>
        <nodes name="top" count="81"/>
        <nodes name="back" count="81"/>
        <nodes name="front" count="81"/>
        <nodes name="left_bottom_back" count="1" coord="(0,0,0)"/>
        <nodes name="right_bottom_back" count="1" coord="(1,0,0)"/>
        <nodes name="left_top_back" count="1" coord="(0,1,0)"/>
        <nodes name="right_top_back" count="1" coord="(1,1,0)"/>
        <nodes name="left_bottom_front" count="1" coord="(0,0,1)"/>
        <nodes name="right_bottom_front" count="1" coord="(1,0,1)"/>
        <nodes name="left_top_front" count="1" coord="(0,1,1)"/>
        <nodes name="right_top_front" count="1" coord="(1,1,1)"/>
        <nodes name="bottom_back" count="9"/>
        <nodes name="bottom_front" count="9"/>
        <nodes name="bottom_left" count="9"/>
        <nodes name="bottom_right" count="9"/>
        <nodes name="top_back" count="9"/>
        <nodes name="top_front" count="9"/>
        <nodes name="top_left" count="9"/>
        <nodes name="top_right" count="9"/>
        <nodes name="back_left" count="9"/>
        <nodes name="back_right" count="9"/>
        <nodes name="front_left" count="9"/>
        <nodes name="front_right" count="9"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="8" ny="8" nz="8" step="0" t="0" t0="0"/>
    </domain>
    <update_results>
      <timer wall-clock="0s" wall="0" cpu="2e-06" calls="2"/>
    </update_results>
    <finish_step>
      <timer wall-clock="0.001s" wall="0.001" cpu="0.001589" calls="1"/>
    </finish_step>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="void" damping="none"/>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator3D" region="void">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator3D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms/>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-08,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <material name="soft">
          <regionList>
            <region name="void"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e-02  5.769231e-03  5.769231e-03  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-03  1.346154e-02  5.769231e-03  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-03  5.769231e-03  1.346154e-02  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-03  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-03  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-03
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(0.01,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-09,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <void/>
                <default order="1"/>
                <mech/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <summary>
          <writeResults>
            <timer wall-clock="0s" wall="0" cpu="1e-06" calls="1"/>
          </writeResults>
        </summary>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC/>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="1536" totalNumFreeEqns="1536" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="1536" lastFreeEqn="1536" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="1536" lastFreeIndex="1536"/>
          </sbmBlocks>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall-clock="0.133s" wall="0.133" cpu="0.541278" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall-clock="0.024s" wall="0.024" cpu="0.099789" calls="6"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <setup>
                <timer wall-clock="0s" wall="0" cpu="2e-06" calls="1"/>
              </setup>
              <precond>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.043s" wall="0.043" cpu="0.174362" calls="12"/>
        </assemble>
      </summary>
    </analysis>
    <header>
      <graph_setup>
        <timer wall-clock="0.03s" wall="0.03" cpu="0.112964" calls="1"/>
      </graph_setup>
    </header>
  </sequenceStep>
  <optimization haltopt_file="/home/daniel/code/cfs_wien/Testsuite/TESTSUIT/Optimization/Homogenization/homogenize_only_3d/HALTOPT">
    <header>
      <objective type="homTensor" name="homTensor" linear="no" filtered="yes" task="minimize"/>
      <multipleExcitations type="homogenizationTestStrains"/>
      <constraints/>
      <designSpace pamping="0" regular="yes">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall-clock="0s" wall="0" cpu="2.6e-05" calls="1" sub="true"/>
        </gradient_chain_rule>
        <filters use_mat_filt="yes"/>
        <transferFunctions>
          <transferFunction type="identity" application="mech" design="density"/>
        </transferFunctions>
        <designVariables optimizationVariables="512" modelVariables="512" modelElements="512">
          <design type="density" upperBound="1" lowerBound="1e-09" physicalLowerBound="1e-09"/>
        </designVariables>
        <localElementCache org="1" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="256" bimaterial="-"/>
          <region name="void" elements="256" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="yes"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="x" weight="0" normalized_weight="0">
          <RhsBDUIntegrator entities="void"/>
          <RhsBDUIntegrator entities="mech"/>
        </excitation>
        <excitation index="1" meta_idx="0" label="y" weight="0" normalized_weight="0">
          <RhsBDUIntegrator entities="void"/>
          <RhsBDUIntegrator entities="mech"/>
        </excitation>
        <excitation index="2" meta_idx="0" label="z" weight="0" normalized_weight="0">
          <RhsBDUIntegrator entities="void"/>
          <RhsBDUIntegrator entities="mech"/>
        </excitation>
        <excitation index="3" meta_idx="0" label="yz" weight="0" normalized_weight="0">
          <RhsBDUIntegrator entities="void"/>
          <RhsBDUIntegrator entities="mech"/>
        </excitation>
        <excitation index="4" meta_idx="0" label="xz" weight="0" normalized_weight="0">
          <RhsBDUIntegrator entities="void"/>
          <RhsBDUIntegrator entities="mech"/>
        </excitation>
        <excitation index="5" meta_idx="0" label="xy" weight="1" normalized_weight="1">
          <RhsBDUIntegrator entities="void"/>
          <RhsBDUIntegrator entities="mech"/>
        </excitation>
      </excitations>
      <evaluate/>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <evaluate>
          <timer wall-clock="0s" wall="0" cpu="2e-06" calls="1"/>
        </evaluate>
      </summary>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0.02s" wall="0.02" cpu="0.02013" calls="1"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0s" wall="0" cpu="4.3e-05" calls="1"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_grad_constraints>
    </summary>
    <process>
      <iteration number="0" duration="0.465" homTensor="0.638846841731082">
        <excitation index="0" objective="0" objective_weight="0"/>
        <excitation index="1" objective="0" objective_weight="0"/>
        <excitation index="2" objective="0" objective_weight="0"/>
        <excitation index="3" objective="0" objective_weight="0"/>
        <excitation index="4" objective="0" objective_weight="0"/>
        <excitation index="5" objective="0.63885" objective_weight="1"/>
        <homogenizedTensor norm_L2="0.63885" trace="1.2493">
          <isotropy E="0.32182" v="0.17388" G="0.13707" err="0.20363"/>
          <orthotropy E_1="0.32182" E_2="0.32182" E_3="0.32182" v_21="0.17388" v_12="0.17388" v_31="0.17388" v_13="0.17388" v_32="0.17388" v_23="0.17388" G_23="0.069198" G_13="0.069198" G_12="0.069198" err="4.7707e-15"/>
          <tensor dim1="6" dim2="6">
            <real>
               3.472329e-01  7.308445e-02  7.308445e-02  0.000000e+00  0.000000e+00  0.000000e+00
               7.308445e-02  3.472329e-01  7.308445e-02  0.000000e+00  0.000000e+00  0.000000e+00
               7.308445e-02  7.308445e-02  3.472329e-01  0.000000e+00  0.000000e+00  0.000000e+00
               0.000000e+00  0.000000e+00  0.000000e+00  6.919811e-02  0.000000e+00  0.000000e+00
               0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  6.919811e-02  0.000000e+00
               0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  6.919811e-02
            </real>
          </tensor>
        </homogenizedTensor>
      </iteration>
    </process>
  </optimization>
</cfsInfo>